let keys = [];
let vel = [0, 0];

let id = '';

function down(e) {
    keys[e.key.toLowerCase()] = true;
};

function up(e) {
    keys[e.key.toLowerCase()] = false;
};

function move() {
    var isShift = keys['q'];
    vel[0] += ((keys['a'] ? 1 : 0) - (keys['d'] ? 1 : 0)) * (isShift ? 5 : 1);
    vel[1] += ((keys['w'] ? 1 : 0) - (keys['s'] ? 1 : 0)) * (isShift ? 5 : 1);

    vel[0] *= 0.8;
    vel[1] *= 0.8;

    game.camera[0] -= vel[0] * 0.9;
    game.camera[1] -= vel[1] * 0.9;
}

setInterval(move, 10);

window.addEventListener('keydown', down);
window.addEventListener('keyup', up);